#ifndef _ISO32I_H
#define _ISO32I_H

#define ISO32I_BASE (0x360)
#define ISO32I_REG(offset) ((offset) + ISO32I_BASE)

/*
 * CN1 Pin Assignment
 *
 * Pin | Signal  Pin | Signal  Pin | Signal  Pin | Signal
 * ----|-------  ----|-------  ----|-------  ----|-------
 *   1 |  +V0     11 | +V1      21 | +V2      31 | +V3
 *   2 |  D00     12 | D10      22 | D20      32 | D30
 *   3 |  D01     13 | D11      23 | D21      33 | D31
 *   4 |  D02     14 | D12      24 | D22      34 | D32 
 *   5 |  D03     15 | D13      25 | D23      35 | D33 
 *   6 |  D04     16 | D14      26 | D24      36 | D34 
 *   7 |  D05     17 | D15      27 | D25      37 | D35 
 *   8 |  D06     18 | D16      28 | D26      38 | D36 
 *   9 |  D07     19 | D17      29 | D27      39 | D37 
 *  10 |   -      20 |  -       30 |  -       40 |  -
 *
 */

/* Read Register */
#define ISO32I_DAT0 (ISO32I_REG(0x0)) /* D0[0-7] */
#define ISO32I_DAT1 (ISO32I_REG(0x1)) /* D1[0-7] */
#define ISO32I_DAT2 (ISO32I_REG(0x2)) /* D2[0-7] */
#define ISO32I_DAT3 (ISO32I_REG(0x3)) /* D3[0-7] */

#define ISO32I_CHANNELES_PER_PORT (8)

#endif
